List maintenance (public)
curl --request GET \
--url https://api.getmonitor.io/api/v1/public/status-pages/{id}/maintenanceimport requests
url = "https://api.getmonitor.io/api/v1/public/status-pages/{id}/maintenance"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getmonitor.io/api/v1/public/status-pages/{id}/maintenance', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "pae4ha2oxjtvrvaj6quz9ix8",
"statusPageId": "ue36sb5hjehntxcd7iau14cz",
"title": "Network maintenance",
"description": null,
"status": "cancelled",
"scheduledStartAt": "2026-12-02T10:00:00.000Z",
"scheduledEndAt": "2026-12-02T11:00:00.000Z",
"actualStartAt": null,
"actualEndAt": null,
"createdAt": "2026-09-27T14:20:39.581Z",
"updatedAt": "2026-09-27T14:20:43.698Z",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"updates": []
},
{
"id": "awg4f0exhfwludmucxc5arhd",
"statusPageId": "ue36sb5hjehntxcd7iau14cz",
"title": "Database upgrade",
"description": "Customer-facing status",
"status": "completed",
"scheduledStartAt": "2026-12-01T10:00:00.000Z",
"scheduledEndAt": "2026-12-01T11:00:00.000Z",
"actualStartAt": "2026-09-27T14:20:42.503Z",
"actualEndAt": "2026-09-27T14:20:43.044Z",
"createdAt": "2026-09-27T14:20:38.961Z",
"updatedAt": "2026-09-27T14:20:43.044Z",
"userId": "u7Kp2Qm9Xa4Lr8Tn1Vb6Zc3Wd5Ye0Hf",
"organizationId": "k2p9x7w4m1n8b3v6c5z0q2r7",
"updates": [
{
"id": "s1qnhdtn8fuaj3dyc39p4flq",
"maintenanceId": "awg4f0exhfwludmucxc5arhd",
"content": "Starting soon",
"status": "scheduled",
"createdAt": "2026-09-27T14:20:41.934Z",
"updatedAt": "2026-09-27T14:20:41.934Z"
}
]
}
],
"page": 1,
"limit": 20,
"total": 2,
"hasMore": false
}{
"message": [
"name must be longer than or equal to 1 characters",
"regions must be an array"
],
"error": "Bad Request",
"statusCode": 400
}{
"message": "Monitor not found",
"error": "Not Found",
"statusCode": 404
}Status Pages
List maintenance (public)
Paginated by default. When both startDate and endDate are set, returns a plain array of the windows in that range and ignores the other filters.
Authentication: No authentication. Anyone can call this endpoint.
GET
/
api
/
v1
/
public
/
status-pages
/
{id}
/
maintenance
List maintenance (public)
Path Parameters
Status page ID.
Query Parameters
Filter by status.
Available options:
scheduled, in_progress, completed, cancelled ISO 8601. With endDate, switches to date-range mode.
ISO 8601. With startDate, switches to date-range mode.
Page number, from 1.
Required range:
x >= 1Page size.
Required range:
x >= 1